Bug 319821 - gnome-vfs-daemon memory leaks
gnome-vfs-daemon memory leaks
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-vfs (Show other bugs)
7
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-05 02:56 EDT by Gian Paolo Mureddu
Modified: 2008-06-16 22:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:34:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gian Paolo Mureddu 2007-10-05 02:56:46 EDT
Description of problem:
gnome-vfs-daemon memory utilization is unusually high when streaming, copying or
moving data through the use of gnome-vfs, particularly visible when streaming
media over an smb share through a gnome-vfs aware application (totem, in this
case). Apparently this is not the case when only moving or copying small chunks
of data to the share, only with high volume data or connections spanning a
lengthy amount of time (such as streaming media), even at low data-rates.

Version-Release number of selected component (if applicable):
gnome-vfs2-2.18.1-4.fc7

How reproducible:
Always

Steps to Reproduce:
1. Have a network share compatible with gnome-vfs (FTP, sFTP, SMB, etc)
2. Move or copy a large data set to or from the share; or stream media from the
share
3. Run top to see gnome-vfs-daemon memory utilization skyrocket
  
Actual results:
Depending on the amount of time the connection as been running, gnome-vfs-daemon
can amount for as much as 150Mb of resident memory (I assume that's what RES is
in top).

Expected results:
gnome-vfs-daemon to use at least as much or a bit more than its initial launch
memory (~5Mb) over the course of the transferences or streaming.

Additional info:
Comment 1 Bug Zapper 2008-05-14 10:37:44 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 22:34:55 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.